﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Practices.Prism.Commands;
using WpfCustomControlLibrary7;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        RowInformation rw = new RowInformation();
        public MainWindow()
        {
            InitializeComponent();
            xamgrid.Submitted += new CustomControl1.CustomEventHandler(xamgrid_Submitted);
            xamgrid.Selected += new CustomControl1.CustomEventHandler(xamgrid_Selected);
        }

        private void xamgrid_Submitted(object sender, CustomRoutedEventArgs e)
        {
            rw.CurrentValue = e.CurrentValue;
            rw.RowData = e.RowInfo;
        }

        private void xamgrid_Selected(object sender, CustomRoutedEventArgs e)
        {
             rw.RowData = e.RowInfo;
             rw.CurrentValue = e.CurrentValue;
             rw.PreviousValue = e.PrevValue;
        }        
    }

    public class RowInformation
    {
        public List<object> RowData { get; set; }
        public string CurrentValue{get;set;}
        public string PreviousValue{get;set;}
    }
}
