﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace WpfCustomControlLibrary7
{
    public class CustomRoutedEventArgs : RoutedEventArgs
    {
        public CustomRoutedEventArgs() : base()
        {
        }

        public CustomRoutedEventArgs(RoutedEvent routedEvent) : base(routedEvent)
        {
        }

        public CustomRoutedEventArgs(RoutedEvent routedEvent, object source)
            : base(routedEvent, source)
        {
        }

        private List<object> list;

        public List<object> RowInfo
        {
            get
            {
                return list;
            }

            set
            {
                list = value;
            }
        }

        public string prevValue;

        public string PrevValue
        {
            get
            {
                return prevValue;
            }

            set
            {
                prevValue = value;
            }
        }

        public string currentValue;

        public string CurrentValue 
        {
            get
            {
                return currentValue;
            }

            set
            {
                currentValue = value;
            }
        }

    }
}
